Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509684 - [abrt] gnome-shell: js::TypeSet::ObjectType(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: js::TypeSet::ObjectType(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc78f863ea62ee283dc39670586...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 17:30 UTC by Niki
Modified: 2018-05-29 11:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:42:07 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: cgroup (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: core_backtrace (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: cpuinfo (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: dso_list (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: environ (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: limits (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: maps (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: open_fds (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: proc_pid_status (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: var_log_messages (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details
File: exploitable (deleted)
2017-11-05 17:30 UTC, Niki
no flags Details

Description Niki 2017-11-05 17:30:31 UTC
Description of problem:
I used Firefox.

Version-Release number of selected component:
gnome-shell-3.24.3-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: js::TypeSet::ObjectType
executable:     /usr/bin/gnome-shell
journald_cursor: s=484e1c32cd3a4eaf8307a20b992dffea;i=50e318;b=55be512e127441e2b02108f14c81035f;m=ab089e2e8;t=55d3f394a81fe;x=22951e7331b0e02
kernel:         4.13.10-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::TypeSet::ObjectType at /usr/src/debug/mozilla-esr38/js/src/vm/TypeInference-inl.h:145
 #1 js::TypeSet::GetValueType at /usr/src/debug/mozilla-esr38/js/src/vm/TypeInference-inl.h:170
 #2 js::TypeScript::SetArgument at /usr/src/debug/mozilla-esr38/js/src/vm/TypeInference-inl.h:662
 #3 js::TypeMonitorCallSlow at /usr/src/debug/mozilla-esr38/js/src/vm/TypeInference.cpp:3066
 #4 js::RunScript at /usr/src/debug/mozilla-esr38/js/src/vm/TypeInference-inl.h:340
 #5 js::Invoke at /usr/src/debug/mozilla-esr38/js/src/vm/Interpreter.cpp:517
 #7 JS_CallFunctionValue at /usr/src/debug/mozilla-esr38/js/src/jsapi.cpp:4216
 #8 gjs_call_function_value at gjs/jsapi-util.cpp:716
 #9 gjs_closure_invoke at gi/closure.cpp:212
 #10 closure_marshal at gi/value.cpp:273

Comment 1 Niki 2017-11-05 17:30:35 UTC
Created attachment 1348185 [details]
File: backtrace

Comment 2 Niki 2017-11-05 17:30:37 UTC
Created attachment 1348186 [details]
File: cgroup

Comment 3 Niki 2017-11-05 17:30:39 UTC
Created attachment 1348187 [details]
File: core_backtrace

Comment 4 Niki 2017-11-05 17:30:40 UTC
Created attachment 1348188 [details]
File: cpuinfo

Comment 5 Niki 2017-11-05 17:30:42 UTC
Created attachment 1348189 [details]
File: dso_list

Comment 6 Niki 2017-11-05 17:30:43 UTC
Created attachment 1348190 [details]
File: environ

Comment 7 Niki 2017-11-05 17:30:45 UTC
Created attachment 1348191 [details]
File: limits

Comment 8 Niki 2017-11-05 17:30:48 UTC
Created attachment 1348192 [details]
File: maps

Comment 9 Niki 2017-11-05 17:30:50 UTC
Created attachment 1348193 [details]
File: open_fds

Comment 10 Niki 2017-11-05 17:30:51 UTC
Created attachment 1348194 [details]
File: proc_pid_status

Comment 11 Niki 2017-11-05 17:30:53 UTC
Created attachment 1348195 [details]
File: var_log_messages

Comment 12 Niki 2017-11-05 17:30:55 UTC
Created attachment 1348196 [details]
File: exploitable

Comment 13 Niki 2017-11-07 17:32:18 UTC
Similar problem has been detected:


reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: js::TypeSet::ObjectType
executable:     /usr/bin/gnome-shell
journald_cursor: s=484e1c32cd3a4eaf8307a20b992dffea;i=518b84;b=097a6fb793824874b9f4375e9a9d4f84;m=206bb5452;t=55d67cd081e63;x=dadbfc06cffb93c2
kernel:         4.13.10-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Petr Kriz 2017-11-22 21:11:03 UTC
*** Bug 1516542 has been marked as a duplicate of this bug. ***

Comment 15 Petr Kriz 2018-01-31 19:15:59 UTC
Similar problem has been detected:

I closed Gnome Evince and then gnome-shell crashed.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: js::TypeSet::ObjectType
executable:     /usr/bin/gnome-shell
journald_cursor: s=dc9bc6f021514280acf534ae7a041795;i=2939c;b=1f21197dc77c4d3687332b905353d076;m=29dca3116;t=5641721a54dab;x=6aef8d430e9a2396
kernel:         4.14.13-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2018-05-03 08:16:08 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:42:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.